html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

@font-face {
  font-family: 'Billion';
  src: url('/Fonts/Billion Miracles Personal Use Only.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  font-family: "Roboto Flex", sans-serif;
}


/* <!-- AboutSectionOne --> */
#AboutSectionOne {
  padding: 5rem;
 }

.aboutSectionOneContainer {
  background: #f9f3ea;
}

.aboutSectionOne-left img {
  width: 100%; 
  max-width: 100rem; 
  object-fit: cover; 
  transition: transform 0.8s ease; 
}

.aboutSectionOne-left img:hover {
  transform: scale(1.05); 
}

.aboutSectionOne-title-img {
  width: 100%; 
  max-width: 50rem; 
  height: auto; 
}

.aboutSectionOne-text {
  letter-spacing: 1px;
  line-height: 1.5;
} 

.aboutSectionOne-button {
  color: #66684e !important; 
  border: 1px solid #66684e !important; 
  background-color: transparent !important;
  transition: all 0.3s ease-in-out; 
}

.aboutSectionOne-button:hover {
  color: white !important;
  background-color: #66684e !important; 
  border-color: #66684e !important; 
}

@media (min-width: 500px) and (max-width: 1199px) {
  .aboutSectionOne-right, 
  .aboutSectionOne-left {
    width: 100%; 
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .aboutSectionOne-left img {
    margin-bottom: 0 !important; 
    padding-bottom: 0 !important;
  }

    .aboutSectionOne-title-img {
    padding-top: 0 !important;
    margin-top: -10px !important; 
  }
} 

@media (min-width: 1400px) {
    #AboutSectionOne  {
        padding-top: 15rem !important; 
    }
}

/* <!-- AboutParallaxOne --> */
.AboutParallaxOne {
  background-image: url('/Images/about/fotograf-rodzinny-gdansk-w-akcji-plener.webp');
  min-height: 800px; /* albo height: 100vh dla pełnego widoku */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.aboutParallaxOne-inner {
  text-align: center; 
  letter-spacing: 1px;
  font-size: 3rem; /* Zmniejszyłem font na mobilkach */
  color: white;
  max-width: 900px; /* Zapobiega zbyt szerokiemu tekstowi */
  margin: 0 auto; /* Centrowanie */
}

.aboutParallaxOne-text {
  font-family: 'Billion', serif;
  font-size: 10rem;
}


/* <!-- AboutSectionTwo --> */
#AboutSectionTwo  {
  padding: 5rem;
}

.aboutSectionTwoRow {
  background: white;
  position: relative;
  margin-top: -200px;
  z-index: 10;
}

.aboutSectionTwo-title-img {
  width: 70%; 
  max-width: 400px; 
  height: auto; 
}

.aboutSectionTwo-text {
  letter-spacing: 1px;
  line-height: 1.5;
}  

.aboutSectionTwo-right img {
  width: 100%; 
  max-width: 100rem; 
  object-fit: cover; 
  padding-top: 3rem;
  transition: transform 0.8s ease; 
}

.aboutSectionTwo-right img:hover {
  transform: scale(1.05); 
}

.aboutSectionTwo-button {
  color: #66684e !important; 
  border: 1px solid #66684e !important; 
  background-color: transparent !important;
  transition: all 0.3s ease-in-out; 
}

.aboutSectionTwo-button:hover {
  color: white !important; 
  background-color: #66684e !important; 
  border-color: #66684e !important; 
}

@media (max-width: 991px) {
  .aboutSectionTwo-title-img {
    width: 90% !important;
    max-width: 500px;
  }
}

/* <!-- Slide --> */
@keyframes slideInFromLeft {
  from {
      opacity: 0;
      transform: translateX(-100%);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}

@keyframes slideInFromRight {
  from {
      opacity: 0;
      transform: translateX(100%);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}

.animate-left, .animate-right {
  opacity: 0;
  transition: opacity 1s ease-out, transform 1s ease-out;
}

.animate-left.active {
  animation: slideInFromLeft 1s ease-out forwards;
}

.animate-right.active {
  animation: slideInFromRight 1s ease-out forwards;
}


/* <!-- Fade --> */
.animate-fade {
  opacity: 0;
  transform: translateY(20px); 
  transition: opacity 3s ease-out, transform 3s ease-out;
}

.animate-fade.active {
  opacity: 1;
  transform: translateY(0);
}